SoapClient::__setCookie
SoapClient::__setSoapHeaders
SoapClient
PHP Manual

# SoapClient::__setLocation

Sets the location of the Web service to use

### Description

public string SoapClient::__setLocation ([ string `$new_location` ] )

Sets the endpoint URL that will be touched by following SOAP requests. This is equivalent to specifying the location option when constructing the SoapClient.

> Note:

> Calling this method is optional. The SoapClient uses the endpoint from the WSDL file by default.

### Parameters

`new_location`

  The new endpoint URL.

### Return Values

The old endpoint URL.

### Examples

Example #1 SoapClient::__setLocation example

`<?php
$client = new SoapClient('http://example.com/webservice.php?wsdl');
$client->__setLocation('http://www.somethirdparty.com');
$old_location = $client->__setLocation(); // unsets the location option
echo $old_location;
?>`

The above example will output something similar to:

    http://www.somethirdparty.com

### See Also

- SoapClient::SoapClient